package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @author HP
 */
@Entity
@Table(name = "land")
public class LandEntity {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "city_seq_gen")
    @SequenceGenerator(name = "city_seq_gen", sequenceName = "city_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 植被名称
     */
    @Column(length = 32, columnDefinition = "varchar(32)")
    private String landName;

    public LandEntity() {
    }

    public LandEntity(Integer id, String landName) {
        this.id = id;
        this.landName = landName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLandName() {
        return landName;
    }

    public void setLandName(String landName) {
        this.landName = landName;
    }

    @Override
    public String toString() {
        return "LandEntity{" + "id=" + id + ", landName='" + landName + '\'' + '}';
    }
}
